Infra Roles - Get
要求されたインフラストラクチャ ロールの説明を返します。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/infraRoles/{infraRole}?api-version=2016-05-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
infra
|
path | True |
string |
インフラストラクチャ ロール名。 |
|
location
|
path | True |
string |
リソースの場所。 |
|
resource
|
path | True |
string |
リソース グループの名前。 |
|
subscription
|
path | True |
string |
Microsoft Azure サブスクリプションを一意に識別するサブスクリプション資格情報。 サブスクリプション ID は、すべてのサービス呼び出しの URI の一部を形成します。 |
|
api-version
|
query | True |
string |
クライアント API のバージョン。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
OK |
|
| 404 Not Found |
見つかりません |
セキュリティ
azure_auth
承認では、Azure Active Directory OAuth2 フローが使用されます。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
Returns the requested infrastructure role description.
要求のサンプル
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/infraRoles/Storage services?api-version=2016-05-01
応答のサンプル
{
"id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/infraRoles/UsageServiceUser",
"name": "UsageServiceUser",
"type": "Microsoft.Fabric.Admin/fabricLocations/infraRoles",
"location": "local",
"tags": {},
"properties": {
"instances": [
"subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/system.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/infraRoleInstances/AzS-WASP01"
],
"displayName": "Usage service (User)",
"restartable": false
}
}
定義
InfraRole
インフラストラクチャ ロールの説明。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
リソースの URI。 |
| location |
string |
リソースが配置されているリージョン。 |
| name |
string |
リソースの名前。 |
| properties.displayName |
string |
インフラストラクチャ ロールの表示名。 |
| properties.instances |
string[] |
インフラストラクチャ ロール インスタンスの一覧。 |
| properties.restartable |
boolean |
インフラストラクチャ ロールを再起動できるかどうかを示す値。 |
| tags |
object |
キーと値のペアの一覧。 |
| type |
string |
リソースの種類。 |